// compile: cc -o test_http test_http.c roadmap_httpcopy.o roadmap_log.o unix/libosroadmap.a

#include <stdio.h>
#include <stdarg.h>

#include "roadmap_download.h"
#include "roadmap_httpcopy.h"

int roadmap_verbosity (void) {
   return 1;
}

int roadmap_debug (void) {
   return 1;
}

static int report_size (int size) {
   printf ("Size: %d\n", size);
   return 1;
}

static void report_progress (int loaded) {
   printf ("Loaded: %d\n", loaded);
}

static void report_error (const char *format, ...) {

   va_list ap;

   printf ("Error: ");
   va_start(ap, format);
   vprintf (format, ap);
   va_end(ap);
   printf ("\n");
}

static RoadMapDownloadCallbacks callbacks =
               {report_size, report_progress, report_error};

static RoadMapDownloadProtocol protocol = NULL;

static void subscribe (const char *prefix, RoadMapDownloadProtocol handler) {
   printf ("Subscribed: %s\n", prefix);
   protocol = handler;
}


main (int argc, char **argv) {

   int i;

   roadmap_httpcopy_init (subscribe);

   for (i = 1; i < argc; ++i) {

      if (protocol (&callbacks, argv[i], "/var/tmp/test_http")) {
         printf ("Download successfull\n");
      } else {
         printf ("Download failed\n");
      }
   }

   return 0;
}

